[arch-commits] Commit in dcron/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Mon May 11 03:16:44 EDT 2009


    Date: Monday, May 11, 2009 @ 03:16:44
  Author: tpowa
Revision: 39021

upgpkg: dcron 3.2-4

Modified:
  dcron/trunk/PKGBUILD

----------+
 PKGBUILD |   47 +++++++++++++++++++++++++++--------------------
 1 file changed, 27 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-11 07:11:14 UTC (rev 39020)
+++ PKGBUILD	2009-05-11 07:16:44 UTC (rev 39021)
@@ -2,7 +2,7 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=dcron
 pkgver=3.2
-pkgrel=3
+pkgrel=4
 pkgdesc="Dillon's Cron Daemon"
 arch=(i686 x86_64)
 license=('GPL')
@@ -12,27 +12,34 @@
 depends=('glibc')
 provides=('cron')
 source=(http://apollo.backplane.com/FreeSrc/dcron32.tgz
-	dcron-3.1.patch
-	root.crontab
-	crond
-	crond.logrotate
-	run-cron)
-md5sums=('c2c816deb389b4bfb00761f26afe3efd' '2f0c3f7497a12c8826c9be3f87843fcd'\
-         '7fcc06b13708ebd667711b1fbf62ee6e' 'd7edac165ef19ebb9d0089bdc218b53a'\
-         'aeabcd5e4924d1a7593c8782d1068c86' '5ff0cdcb9ec99778938ac6ef26800327')
+        dcron-3.1.patch
+        root.crontab
+        crond
+        crond.logrotate
+        run-cron
+        dcron-3.2.patch)
+md5sums=('c2c816deb389b4bfb00761f26afe3efd'
+         '2f0c3f7497a12c8826c9be3f87843fcd'
+         '7fcc06b13708ebd667711b1fbf62ee6e'
+         'd7edac165ef19ebb9d0089bdc218b53a'
+         'aeabcd5e4924d1a7593c8782d1068c86'
+         '5ff0cdcb9ec99778938ac6ef26800327'
+         '44afe7dc25324baa21bdca37b9842514')
 
 build() {
-  cd $startdir/src/dcron
+  cd $srcdir/dcron
   patch -Np1 -i ../dcron-3.1.patch || return 1
+  patch -Np1 -i ../dcron-3.2.patch || return 1
   make || return 1
-  install -D -m4755 crontab $startdir/pkg/usr/bin/crontab
-  install -D -m755 crond $startdir/pkg/usr/sbin/crond
-  install -D -m644 crontab.1 $startdir/pkg/usr/man/man1/crontab.1
-  install -D -m644 crond.8 $startdir/pkg/usr/man/man8/crond.8
-  mkdir -p $startdir/pkg/var/spool/cron $startdir/pkg/etc/cron.d
-  mkdir -p $startdir/pkg/etc/{rc.d,cron.hourly,cron.daily,cron.weekly,cron.monthly}
-  install -D -m0600 ../root.crontab $startdir/pkg/var/spool/cron/root
-  install -D -m755 ../crond $startdir/pkg/etc/rc.d/crond
-  install -D -m644 ../crond.logrotate $startdir/pkg/etc/logrotate.d/crond
-  install -D -m755 ../run-cron $startdir/pkg/usr/sbin/run-cron
+  install -D -m4755 crontab $pkgdir/usr/bin/crontab
+  install -D -m755 crond $pkgdir/usr/sbin/crond
+  install -D -m644 crontab.1 $pkgdir/usr/share/man/man1/crontab.1
+  install -D -m644 crond.8 $pkgdir/usr/share/man/man8/crond.8
+  mkdir -p $pkgdir/var/spool/cron $pkgdir/etc/cron.d
+  mkdir -p $pkgdir/etc/{rc.d,cron.hourly,cron.daily,cron.weekly,cron.monthly}
+  install -D -m0600 ../root.crontab $pkgdir/var/spool/cron/root
+  install -D -m755 ../crond $pkgdir/etc/rc.d/crond
+  install -D -m644 ../crond.logrotate $pkgdir/etc/logrotate.d/crond
+  install -D -m755 ../run-cron $pkgdir/usr/sbin/run-cron
 }
+



More information about the arch-commits mailing list